pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 > Class Template Referenceabstract
Module visualization

Base handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >:

## Public Types

using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudGeometryHandler< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudGeometryHandler< PointCloud > >

## Public Member Functions

| PointCloudGeometryHandler (const PointCloudConstPtr &cloud, const Eigen::Vector4f &=Eigen::Vector4f::Zero())
| Constructor. More...
virtual | ~PointCloudGeometryHandler ()
| Destructor. More...
virtual std::string | getName () const =0
| Abstract getName method. More...
virtual std::string | getFieldName () const =0
| Abstract getFieldName method. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Attributes

PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_x_idx_
| The index of the field holding the X data. More...
int | field_y_idx_
| The index of the field holding the Y data. More...
int | field_z_idx_
| The index of the field holding the Z data. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<>
class pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >

Base handler class for PointCloud geometry.

Author
  Radu B. Rusu

Definition at line 323 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::ConstPtr = shared_ptr<const PointCloudGeometryHandler<PointCloud> >

Definition at line 331 of file point_cloud_geometry_handlers.h.

## PointCloud

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloud = pcl::PCLPointCloud2

Definition at line 326 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloudConstPtr = PointCloud::ConstPtr

Definition at line 328 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloudPtr = PointCloud::Ptr

Definition at line 327 of file point_cloud_geometry_handlers.h.

## Ptr

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::Ptr = shared_ptr<PointCloudGeometryHandler<PointCloud> >

Definition at line 330 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandler()

pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloudGeometryHandler | ( | const PointCloudConstPtr & | cloud,
|  | const Eigen::Vector4f & | = `Eigen::Vector4f::Zero ()`
| ) |  |

inline

Constructor.

Definition at line 334 of file point_cloud_geometry_handlers.h.

## ~PointCloudGeometryHandler()

virtual pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::~PointCloudGeometryHandler | ( |  | ) |

inline virtual

Destructor.

Definition at line 345 of file point_cloud_geometry_handlers.h.

## Member Function Documentation

## getFieldName()

virtual std::string pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

pure virtual

Abstract getFieldName method.

Implemented in pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >.

## getGeometry()

virtual void pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::getGeometry | ( | vtkSmartPointer< vtkPoints > & | points | ) | const

virtual

Obtain the actual point geometry for the input dataset in VTK format.

Parameters

  [out] | points | the resultant geometry

## getName()

virtual std::string pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

pure virtual

Abstract getName method.

Implemented in pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >.

## isCapable()

bool pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::isCapable | ( |  | ) | const

inline

Check if this handler is capable of handling the input data or not.

Definition at line 357 of file point_cloud_geometry_handlers.h.

## setInputCloud()

void pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Definition at line 369 of file point_cloud_geometry_handlers.h.

## Member Data Documentation

## capable_

bool pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::capable_

protected

True if this handler is capable of handling the input data, false otherwise.

Definition at line 381 of file point_cloud_geometry_handlers.h.

## cloud_

PointCloudConstPtr pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::cloud_

protected

A pointer to the input dataset.

Definition at line 376 of file point_cloud_geometry_handlers.h.

## field_x_idx_

int pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::field_x_idx_

protected

The index of the field holding the X data.

Definition at line 384 of file point_cloud_geometry_handlers.h.

## field_y_idx_

int pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::field_y_idx_

protected

The index of the field holding the Y data.

Definition at line 387 of file point_cloud_geometry_handlers.h.

## field_z_idx_

int pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::field_z_idx_

protected

The index of the field holding the Z data.

Definition at line 390 of file point_cloud_geometry_handlers.h.

## fields_

std::vector<pcl::PCLPointField> pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::fields_

protected

The list of fields available for this PointCloud.

Definition at line 393 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_geometry_handlers.h